Skip to navigation

List Stored Instruments

Lists all available stored instruments for a customer. This list will include all types of stored instruments namely card, account and bank_account instruments

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only
Stored Payment Instrumentsmodifystore_stored_payment_instruments
Stored Payment Instrumentsread-onlystore_stored_payment_instruments_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

customerIdintegerRequired
The ID of the customer.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Response

OK
stored_cardobject
Details about a stored card instrument which includes details around billing, last 4 digits, issuer, etc.
OR
stored_paypal_accountobject
A PayPal account stored instrument.
OR
stored_bank_accountobject
A stored bank account instrument.

Errors

401
Unauthorized Error
403
Forbidden Error